package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CategoryLevelEnum implements BaseEnum, IEnum<Integer> {
    PIG("1","大类"),
    SMALl("2","小类"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @Override
    public Integer getValue() {
        return getIntKey();
    }
}
